### javax.script

# Interface Bindings

All Superinterfaces:
  java.util.Map

Known Implementing Classes:
  SimpleBindings

`public interface Bindings`
`extends java.util.Map`

Namespace is an interface which exposes a collectoin of key-value pairs.

Authors:
  Nandika Jayawardana <nandika@opensource.lk>
  Sanka Samaranayake <sanka@opensource.lk>

## Nested Class Summary

## Method Summary

`java.lang.Object`

`put(java.lang.Object key, java.lang.Object value)`
  Associates the specified value with the specified key in a java.util.Map.

`void`

`putAll(java.util.Map toMerge)`
  Copies all of the mappings from the specified map to this map.

### Methods inherited from interface java.util.Map

`clear`, `containsKey`, `containsValue`, `entrySet`, `equals`, `get`, `hashCode`, `isEmpty`, `keySet`, `put`, `putAll`, `remove`, `size`, `values`

## Method Details

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)
                throws java.lang.IllegalArgumentException

> Associates the specified value with the specified key in a java.util.Map. If the map previously contained a mapping for this key, the old value is replaced.
> Specified by:
>   put in interface java.util.Map

> Parameters:
>   `key` - the String value which uniquely identifies the object
>   `value` - the object to be stored.

> Throws:
>   `java.lang.IllegalArgumentException` - if the key is null not an instance of java.lang.String

### putAll

    public void putAll(java.util.Map toMerge)
                throws java.lang.IllegalArgumentException

> Copies all of the mappings from the specified map to this map. These mappings will replace any mappings that this map had for any of the keys currently in the specified map.
> Specified by:
>   putAll in interface java.util.Map

> Parameters:
>   `toMerge` - mappings to be stored in the map.

> Throws:
>   `java.lang.IllegalArgumentException` - if a key is null or is not an instance of java.lang.String